"use strict";
const common_vendor = require("../../../common/vendor.js");
const sheep_index = require("../../../sheep/index.js");
const sheep_hooks_useGoods = require("../../../sheep/hooks/useGoods.js");
require("../../../sheep/request/index.js");
const sheep_api_distri_score = require("../../../sheep/api/distri/score.js");
require("../../../sheep/api/index.js");
require("../../../sheep/api/distri/share.js");
require("../../../sheep/api/distri/team.js");
require("../../../sheep/api/infra/file.js");
require("../../../sheep/config/index.js");
require("../../../sheep/api/member/address.js");
require("../../../sheep/api/member/auth.js");
require("../../../sheep/api/member/point.js");
require("../../../sheep/api/member/signin.js");
require("../../../sheep/api/member/social.js");
require("../../../sheep/api/member/user.js");
require("../../../sheep/api/migration/app.js");
require("../../../sheep/api/migration/chat.js");
require("../../../sheep/api/migration/index.js");
require("../../../sheep/api/migration/third.js");
require("../../../sheep/api/pay/channel.js");
require("../../../sheep/api/pay/order.js");
require("../../../sheep/api/pay/wallet.js");
require("../../../sheep/api/product/category.js");
require("../../../sheep/api/product/comment.js");
require("../../../sheep/api/product/favorite.js");
require("../../../sheep/api/product/history.js");
require("../../../sheep/api/product/spu.js");
require("../../../sheep/api/promotion/activity.js");
require("../../../sheep/api/promotion/article.js");
require("../../../sheep/api/promotion/bargain.js");
require("../../../sheep/api/promotion/combination.js");
require("../../../sheep/api/promotion/coupon.js");
require("../../../sheep/api/promotion/diy.js");
require("../../../sheep/api/promotion/rewardActivity.js");
require("../../../sheep/api/promotion/seckill.js");
require("../../../sheep/api/system/area.js");
require("../../../sheep/api/system/voice.js");
require("../../../sheep/api/trade/afterSale.js");
require("../../../sheep/api/trade/brokerage.js");
require("../../../sheep/api/trade/cart.js");
require("../../../sheep/api/trade/config.js");
require("../../../sheep/api/trade/delivery.js");
require("../../../sheep/api/trade/order.js");
require("../../../sheep/url/index.js");
require("../../../sheep/store/index.js");
require("../../../sheep/store/app.js");
require("../../../sheep/platform/index.js");
require("../../../sheep/platform/provider/wechat/index.js");
require("../../../sheep/platform/provider/wechat/miniProgram.js");
require("../../../sheep/platform/provider/apple/index.js");
require("../../../sheep/platform/share.js");
require("../../../sheep/router/index.js");
require("../../../sheep/hooks/useModal.js");
require("../../../sheep/helper/index.js");
require("../../../sheep/helper/test.js");
require("../../../sheep/helper/digit.js");
require("../../../sheep/helper/throttle.js");
require("../../../sheep/platform/pay.js");
require("../../../sheep/store/user.js");
require("../../../sheep/store/cart.js");
require("../../../sheep/store/sys.js");
require("../../../sheep/store/modal.js");
require("../../../sheep/config/zIndex.js");
require("../../../sheep/util/index.js");
if (!Array) {
  const _easycom_s_empty2 = common_vendor.resolveComponent("s-empty");
  const _easycom_uni_load_more2 = common_vendor.resolveComponent("uni-load-more");
  const _easycom_s_layout2 = common_vendor.resolveComponent("s-layout");
  (_easycom_s_empty2 + _easycom_uni_load_more2 + _easycom_s_layout2)();
}
const _easycom_s_empty = () => "../../../sheep/components/s-empty/s-empty.js";
const _easycom_uni_load_more = () => "../../../uni_modules/uni-load-more/components/uni-load-more/uni-load-more.js";
const _easycom_s_layout = () => "../../../sheep/components/s-layout/s-layout.js";
if (!Math) {
  (_easycom_s_empty + _easycom_uni_load_more + _easycom_s_layout)();
}
const _sfc_main = {
  __name: "ScoreLog",
  props: {
    isFreeze: {
      type: String,
      default: ""
    }
  },
  setup(__props) {
    common_vendor.computed(() => sheep_index.sheep.$store("user").userWallet);
    sheep_index.sheep.$platform.device.statusBarHeight * 2;
    common_vendor.computed(() => sheep_index.sheep.$store("user").userInfo);
    sheep_index.sheep.$platform.navbar;
    const props = __props;
    const state = common_vendor.reactive({
      currentTab: 0,
      pagination: {
        list: [],
        total: 0,
        pageSize: 10,
        pageNo: 1
      },
      loadStatus: "",
      showModel: false,
      showQueModel: false
    });
    async function getLogList(isFreeze) {
      state.loadStatus = "loading";
      let {
        code,
        data
      } = await sheep_api_distri_score.ScoreApi.getScoreApi({
        pageNo: state.pagination.pageNo,
        pageSize: state.pagination.pageSize,
        isFreeze
      });
      if (code !== 0) {
        return;
      }
      let list = common_vendor._.concat(state.pagination.list, data.list);
      state.pagination.list = list;
      state.pagination.total = data.total;
      state.loadStatus = state.pagination.list.length < state.pagination.total ? "more" : "noMore";
    }
    common_vendor.onLoad(() => {
      getLogList(props.isFreeze);
    });
    function onLoadMore(isFreeze) {
      if (state.loadStatus === "noMore") {
        return;
      }
      state.pagination.pageNo++;
      getLogList(props.isFreeze);
    }
    common_vendor.onReachBottom(() => {
      onLoadMore();
    });
    return (_ctx, _cache) => {
      return common_vendor.e({
        a: state.pagination.total > 0
      }, state.pagination.total > 0 ? {
        b: common_vendor.f(state.pagination.list, (item, index, i0) => {
          return common_vendor.e({
            a: common_vendor.t(item.profitStatusName || "空"),
            b: common_vendor.t(item.username ? "(" + item.username + ")" : ""),
            c: common_vendor.t([3, 4, 7].includes(item.profitStatus) && __props.isFreeze == "true" ? "-转确权" : "")
          }, __props.isFreeze == "true" ? {
            d: common_vendor.t(item.freezeAmount > 0 ? "+" + common_vendor.unref(sheep_hooks_useGoods.points2point)(item.freezeAmount) : common_vendor.unref(sheep_hooks_useGoods.points2point)(item.freezeAmount)),
            e: item.freezeAmount < 0 ? 1 : ""
          } : {
            f: common_vendor.t(item.amount > 0 ? "+" + common_vendor.unref(sheep_hooks_useGoods.points2point)(item.amount) : common_vendor.unref(sheep_hooks_useGoods.points2point)(item.amount)),
            g: item.amount < 0 ? 1 : ""
          }, {
            h: common_vendor.t(common_vendor.unref(sheep_index.sheep).$helper.timeFormat(item.createTime, "yyyy-mm-dd hh:MM"))
          }, __props.isFreeze == "true" ? {
            i: common_vendor.t(common_vendor.unref(sheep_hooks_useGoods.points2point)(item.afterFreezeAmount))
          } : {
            j: common_vendor.t(common_vendor.unref(sheep_hooks_useGoods.points2point)(item.afterAmount))
          }, {
            k: item.id
          });
        }),
        c: __props.isFreeze == "true",
        d: __props.isFreeze == "true"
      } : {
        e: common_vendor.p({
          text: "暂无数据",
          paddingTop: "200",
          icon: "/static/data-empty.png"
        })
      }, {
        f: state.pagination.total > 0
      }, state.pagination.total > 0 ? {
        g: common_vendor.o(($event) => onLoadMore()),
        h: common_vendor.o(($event) => onLoadMore()),
        i: common_vendor.p({
          status: state.loadStatus,
          ["content-text"]: {
            contentdown: "点击加载更多"
          }
        })
      } : {}, {
        j: common_vendor.o(() => {
        }),
        k: common_vendor.p({
          bgStyle: {
            "backgroundColor": "#ffffff"
          },
          title: "",
          navbar: "normal"
        })
      });
    };
  }
};
const MiniProgramPage = /* @__PURE__ */ common_vendor._export_sfc(_sfc_main, [["__scopeId", "data-v-ccce11dc"], ["__file", "D:/zx/mall-front-app/pages/user/wallet/ScoreLog.vue"]]);
wx.createPage(MiniProgramPage);
